Bug 84550 - TOOLBAR: Change default click of insert field group button
Summary: TOOLBAR: Change default click of insert field group button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2014-10-01 11:25 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-23 13:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-01 11:25:09 UTC
Presently when the main button of the insert field group button (.uno:InsertFieldCtrl) is clicked, it opens the fields dialog, which is already accessible with the 'other...' option in the drop down, so its best that the default button should be insert page number, as its the most frequently inserted field type, and this default doesnt need to be changed whenever a user decides to add a different field.
Comment 1 Commit Notification 2014-10-01 12:22:37 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f45400ca17d52a4ee40672ac409b6521ad86f76

fdo#84550 Make 'Insert field' entry dropdown only



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Samuel Mehrbrodt (CIB) 2014-10-01 12:43:06 UTC
We discussed on IRC to give the fields also a new order:
Page number, Page count, Date, Time, Title, Author, Subject
Comment 3 Commit Notification 2014-10-01 20:31:24 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=870befe9847eda85a8a5e48697486a4cf7b4ed7f

fdo#84550 Reflect new field order also in Menu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2014-10-01 22:50:00 UTC
(In reply to Samuel Mehrbrodt from comment #2)
> We discussed on IRC to give the fields also a new order:
> Page number, Page count, Date, Time, Title, Author, Subject

To further clarify, this suggestion was mentioned in my toolbar proposal (bug 81475), which shows which entries are more used than others.
Comment 5 Yousuf Philips (jay) (retired) 2014-10-03 10:18:01 UTC
Reopening as it wasnt supposed to be dropdownonly, the default main button was to be changed to insert page number.
Comment 6 Yousuf Philips (jay) (retired) 2014-10-24 02:14:34 UTC
The design team members have decided against my suggestion of having it as a two-click group button and infavour of the one-click drop down button. Below are stats provided during the discussion on why i suggested page number be the default click button of the two-click group button.

Usage Stats of drop down entries:
 PageNumber     48.75%
 Date           16.62%
 PageCount      10.38%
 Time            4.79%
 Title           1.92%
 Author          1.18%
 Topic           1.02%
 More...        15.33%